summaryrefslogtreecommitdiffstats
path: root/src.etc/init.d/mdev
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2014-06-04 23:08:41 (EDT)
committer P. J. McDermott <pj@pehjota.net>2014-06-04 23:08:41 (EDT)
commit9de16d22b0ac3cbb74793faa913db889d8151ee5 (patch)
tree0f6ed6fe2701368c036c0da9e72be362963d68b6 /src.etc/init.d/mdev
parent79d474a5fdc0ea8b9e05f5b68567dbbe9086e4ca (diff)
parentb98d2d2ad1e341a6493fcd5531d605e8427665ca (diff)
Merge branch 'feature/init-system-improvements'.
Diffstat (limited to 'src.etc/init.d/mdev')
-rwxr-xr-xsrc.etc/init.d/mdev61
1 files changed, 23 insertions, 38 deletions
diff --git a/src.etc/init.d/mdev b/src.etc/init.d/mdev
index 8052c3b..81d004a 100755
--- a/src.etc/init.d/mdev
+++ b/src.etc/init.d/mdev
@@ -1,53 +1,38 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
start()
{
- printf 'Enabling device hotplugging... '
-
- if ! mount | grep -Fq ' /dev '; then
- mount -t tmpfs -o noexec,nosuid,mode=0755 tmpfs /dev
+ log 'Enabling device hotplugging'
+ if ! [ -e /dev/null ]; then
+ mount -t tmpfs -o noexec,nosuid,mode=0755 tmpfs /dev || \
+ return ${?}
+ if [ -e /proc/sys/kernel/hotplug ]; then
+ printf '/sbin/mdev\n' >/proc/sys/kernel/hotplug
+ fi
+ mdev -s
fi
-
- printf '/sbin/mdev\n' >/proc/sys/kernel/hotplug
- mdev -s
-
- printf 'done.\n'
}
stop()
{
- printf 'Disabling device hotplugging... '
-
- printf '\n' >/proc/sys/kernel/hotplug
-
- if mount | grep -Fq ' /dev '; then
- umount /dev
+ log 'Disabling device hotplugging'
+ if [ -e /proc/sys/kernel/hotplug ]; then
+ printf '\n' >/proc/sys/kernel/hotplug
+ fi
+ if [ -e /dev/null ]; then
+ umount /dev || return ${?}
fi
-
- printf 'done.\n'
}
restart()
{
- printf 'Recanning devices... '
-
+ log 'Recanning devices'
+ if ! [ -e /dev/null ]; then
+ mount -t tmpfs -o noexec,nosuid,mode=0755 tmpfs /dev || \
+ return ${?}
+ if [ -e /proc/sys/kernel/hotplug ]; then
+ printf '/sbin/mdev\n' >/proc/sys/kernel/hotplug
+ fi
+ fi
mdev -s
-
- printf 'done.\n'
}
-
-case "${1}" in
- start)
- start
- ;;
- stop)
- stop
- ;;
- restart)
- restart
- ;;
- *)
- printf 'Usage: %s {start|stop|restart}\n' "${0}" >&2
- exit 1
- ;;
-esac